'$FORM InterfaceWindow
DEFINT A-Z
OPTION EXPLICIT

DECLARE FUNCTION BuildPath (FilePath AS STRING, FileName AS STRING, FileExtension AS STRING) AS STRING
DECLARE FUNCTION LoadFile (FileName AS STRING) AS STRING
DECLARE SUB Main ()
DECLARE SUB SaveFile (FileName AS STRING, Text AS STRING)

CALL Main

FUNCTION BuildPath (FilePath AS STRING, FileName AS STRING, FileExtension AS STRING) AS STRING
 IF NOT RIGHT$(FilePath, 1) = "\" THEN
  FilePath = FilePath + "\"
 END IF

 IF NOT UCASE$(RIGHT$(FileName, LEN(FileExtension))) = UCASE$(FileExtension) THEN
  FileName = FileName + FileExtension
 END IF

 BuildPath = FilePath + FileName
END FUNCTION

FUNCTION LoadFile (FileName AS STRING) AS STRING
DIM FileH AS INTEGER
DIM Text AS STRING

 FileH = FREEFILE
 IF NOT DIR$(FileName) = "" THEN
  OPEN FileName FOR BINARY LOCK READ WRITE AS FileH
   Text = INPUT$(LOF(FileH), FileH)
  CLOSE FileH
 END IF

 LoadFile = Text
END FUNCTION

SUB Main ()
 InterfaceWindow.SHOW
END SUB

SUB SaveFile (FileName AS STRING, Text AS STRING)
DIM FileH AS INTEGER

 FileH = FREEFILE
 OPEN FileName FOR OUTPUT LOCK READ WRITE AS FileH
  PRINT #FileH, Text;
 CLOSE FileH
END SUB

